Bug 505430 - Xorg: page allocation failure - intel graphics
Xorg: page allocation failure - intel graphics
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 17:00 EDT by Jonathan Underwood
Modified: 2013-04-02 00:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 16:39:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (48.37 KB, text/plain)
2009-06-11 17:01 EDT, Jonathan Underwood
no flags Details

  None (edit)
Description Jonathan Underwood 2009-06-11 17:00:12 EDT
Description of problem:

I see this in dmesg:

Xorg: page allocation failure. order:1, mode:0x50d0
Pid: 19509, comm: Xorg Not tainted 2.6.29.4-167.fc11.x86_64 #1
Call Trace:
 [<ffffffff810a5150>] __alloc_pages_internal+0x40d/0x429
 [<ffffffff810c7355>] alloc_pages_current+0xb7/0xc0
 [<ffffffff810a3789>] __get_free_pages+0x13/0x4e
 [<ffffffff810cd702>] __kmalloc+0x41/0x130
 [<ffffffff81243e9b>] agp_alloc_page_array+0x31/0x51
 [<ffffffff81243f0c>] agp_generic_alloc_user+0x51/0xc8
 [<ffffffff8124405b>] agp_allocate_memory+0x52/0x10b
 [<ffffffffa00293c4>] drm_agp_allocate_memory+0xe/0x10 [drm]
 [<ffffffffa0029561>] drm_agp_bind_pages+0x5d/0x10c [drm]
 [<ffffffffa005fde2>] i915_gem_object_bind_to_gtt+0x1d7/0x249 [i915]
 [<ffffffffa005fe7f>] i915_gem_object_pin+0x2b/0x16a [i915]
 [<ffffffffa0061502>] i915_gem_execbuffer+0x3c4/0xcde [i915]
 [<ffffffffa006113e>] ? i915_gem_execbuffer+0x0/0xcde [i915]
 [<ffffffffa0023b7e>] drm_ioctl+0x20e/0x2c1 [drm]
 [<ffffffff810e0f58>] vfs_ioctl+0x6f/0x87
 [<ffffffff810e13f3>] do_vfs_ioctl+0x462/0x4a3
 [<ffffffff810e148a>] sys_ioctl+0x56/0x79
 [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:  20
CPU    1: hi:  186, btch:  31 usd:   0
Active_anon:80734 active_file:20474 inactive_anon:80815
 inactive_file:21020 unevictable:2 dirty:117 writeback:0 unstable:0
 free:4551 slab:17185 mapped:27691 pagetables:10478 bounce:0
Node 0 DMA free:3964kB min:24kB low:28kB high:36kB active_anon:728kB inactive_anon:1328kB active_file:568kB inactive_file:460kB unevictable:0kB present:6376kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 984 984 984
Node 0 DMA32 free:14240kB min:4000kB low:5000kB high:6000kB active_anon:322208kB inactive_anon:321932kB active_file:81328kB inactive_file:83620kB unevictable:8kB present:1007976kB pages_scanned:161 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 487*4kB 12*8kB 6*16kB 1*32kB 2*64kB 1*128kB 2*256kB 2*512kB 0*1024kB 0*2048kB 0*4096kB = 3964kB
Node 0 DMA32: 3225*4kB 28*8kB 4*16kB 5*32kB 1*64kB 1*128kB 1*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 14308kB
123166 total pagecache pages
14013 pages in swap cache
Swap cache stats: add 1382583, delete 1368570, find 332996/530271
Free swap  = 1772612kB
Total swap = 2047992kB
259583 pages RAM
8344 pages reserved
138285 pages shared
149718 pages non-shared
Xorg: page allocation failure. order:1, mode:0x50d0
Pid: 19509, comm: Xorg Not tainted 2.6.29.4-167.fc11.x86_64 #1
Call Trace:
 [<ffffffff810a5150>] __alloc_pages_internal+0x40d/0x429
 [<ffffffff810c7355>] alloc_pages_current+0xb7/0xc0
 [<ffffffff810a3789>] __get_free_pages+0x13/0x4e
 [<ffffffff810cd702>] __kmalloc+0x41/0x130
 [<ffffffff81243e9b>] agp_alloc_page_array+0x31/0x51
 [<ffffffff81243f0c>] agp_generic_alloc_user+0x51/0xc8
 [<ffffffff8124405b>] agp_allocate_memory+0x52/0x10b
 [<ffffffffa00293c4>] drm_agp_allocate_memory+0xe/0x10 [drm]
 [<ffffffffa0029561>] drm_agp_bind_pages+0x5d/0x10c [drm]
 [<ffffffffa005fde2>] i915_gem_object_bind_to_gtt+0x1d7/0x249 [i915]
 [<ffffffffa005fe7f>] i915_gem_object_pin+0x2b/0x16a [i915]
 [<ffffffffa0061502>] i915_gem_execbuffer+0x3c4/0xcde [i915]
 [<ffffffffa006113e>] ? i915_gem_execbuffer+0x0/0xcde [i915]
 [<ffffffffa0023b7e>] drm_ioctl+0x20e/0x2c1 [drm]
 [<ffffffff810e0f58>] vfs_ioctl+0x6f/0x87
 [<ffffffff810e13f3>] do_vfs_ioctl+0x462/0x4a3
 [<ffffffff810e148a>] sys_ioctl+0x56/0x79
 [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
Active_anon:80804 active_file:20338 inactive_anon:81536
 inactive_file:20411 unevictable:2 dirty:21 writeback:120 unstable:0
 free:4776 slab:17182 mapped:27197 pagetables:10227 bounce:0
Node 0 DMA free:3964kB min:24kB low:28kB high:36kB active_anon:904kB inactive_anon:1136kB active_file:568kB inactive_file:460kB unevictable:0kB present:6376kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 984 984 984
Node 0 DMA32 free:15140kB min:4000kB low:5000kB high:6000kB active_anon:322312kB inactive_anon:325008kB active_file:80784kB inactive_file:81184kB unevictable:8kB present:1007976kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 487*4kB 12*8kB 6*16kB 1*32kB 2*64kB 1*128kB 2*256kB 2*512kB 0*1024kB 0*2048kB 0*4096kB = 3964kB
Node 0 DMA32: 3373*4kB 50*8kB 10*16kB 5*32kB 2*64kB 1*128kB 1*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 15236kB
126136 total pagecache pages
14823 pages in swap cache
Swap cache stats: add 1385453, delete 1370630, find 333244/530747
Free swap  = 1767256kB
Total swap = 2047992kB
259583 pages RAM
8344 pages reserved
125592 pages shared
155096 pages non-shared


lspci output for graphics adapter:

00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)


Version-Release number of selected component (if applicable):
kernel-2.6.29.4-167.fc11.x86_64
xorg-x11-utils-7.4-4.fc11.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-drv-keyboard-1.3.2-3.fc11.x86_64
xorg-x11-drv-fbdev-0.4.0-4.fc11.x86_64
xorg-x11-drv-hyperpen-1.3.0-1.fc11.x86_64
xorg-x11-drv-openchrome-0.2.903-10.fc11.x86_64
xorg-x11-drv-penmount-1.4.0-2.fc11.x86_64
xorg-x11-server-common-1.6.1.901-1.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
xorg-x11-drv-glint-1.2.2-2.fc11.x86_64
xorg-x11-drv-mutouch-1.2.1-2.fc11.x86_64
xorg-x11-drv-aiptek-1.2.0-1.fc11.x86_64
xorg-x11-drv-elographics-1.2.3-2.fc11.x86_64
xorg-x11-font-utils-7.2-7.fc11.x86_64
xorg-x11-drv-evdev-2.2.1-3.fc11.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-drv-vesa-2.2.0-3.fc11.x86_64
xorg-x11-drv-savage-2.2.1-1.fc11.x86_64
xorg-x11-drv-v4l-0.2.0-2.fc11.x86_64
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.x86_64
xorg-x11-drv-rendition-4.2.1-2.fc11.x86_64
xorg-x11-drv-vmware-10.16.0-3.fc11.x86_64
xorg-x11-drv-mga-1.4.10-1.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-36.20090514git9656762.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
xorg-x11-drv-r128-6.8.0-3.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
xorg-x11-drivers-7.3-11.fc11.x86_64
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-xkb-utils-7.2-8.fc11.x86_64
xorg-x11-xinit-1.0.9-7.fc11.x86_64
xorg-x11-drv-acecad-1.3.0-1.fc11.x86_64
xorg-x11-drv-synaptics-1.1.0-7.fc11.x86_64
xorg-x11-drv-apm-1.2.1-2.fc11.x86_64
xorg-x11-drv-mach64-6.8.0-3.fc11.x86_64
xorg-x11-drv-trident-1.3.1-2.fc11.x86_64
xorg-x11-drv-dummy-0.3.1-2.fc11.x86_64
xorg-x11-drv-cirrus-1.2.0-6.fc11.x86_64
xorg-x11-drv-sis-0.10.1-2.fc11.x86_64
xorg-x11-drv-nv-2.1.13-1.fc11.x86_64
xorg-x11-xauth-1.0.2-6.fc11.x86_64
xorg-x11-drv-mouse-1.4.0-2.fc11.x86_64
xorg-x11-drv-ast-0.87.0-2.fc11.x86_64
xorg-x11-drv-tdfx-1.4.1-2.fc11.x86_64
xorg-x11-drv-s3virge-1.10.2-2.fc11.x86_64
xorg-x11-drv-fpit-1.3.0-2.fc11.x86_64
xorg-x11-drv-voodoo-1.2.1-2.fc11.x86_64
xorg-x11-drv-sisusb-0.9.1-2.fc11.x86_64
xorg-x11-drv-i128-1.3.0-2.fc11.x86_64
xorg-x11-drv-i740-1.2.0-3.fc11.x86_64
xorg-x11-drv-void-1.2.0-1.fc11.x86_64
xorg-x11-drv-vmmouse-12.6.4-1.fc11.x86_64
Comment 1 Jonathan Underwood 2009-06-11 17:01:53 EDT
Created attachment 347473 [details]
Xorg log

Xorg.log
Comment 2 Jonathan Underwood 2009-06-30 06:07:50 EDT
Still present in 2.6.29.5 - see below for a trace (different machine this time, but still intel graphics).

Xorg: page allocation failure. order:1, mode:0x50d0
Pid: 9042, comm: Xorg Not tainted 2.6.29.5-191.fc11.x86_64 #1
Call Trace:
 [<ffffffff810a4fbb>] __alloc_pages_internal+0x40d/0x42a
 [<ffffffff810c71ed>] alloc_pages_current+0xb7/0xc0
 [<ffffffff810a3611>] __get_free_pages+0x13/0x4e
 [<ffffffff810cd5cc>] __kmalloc+0x41/0x130
 [<ffffffff81243fc7>] agp_alloc_page_array+0x31/0x51
 [<ffffffff81244038>] agp_generic_alloc_user+0x51/0xc8
 [<ffffffff81244187>] agp_allocate_memory+0x52/0x10b
 [<ffffffffa00293c4>] drm_agp_allocate_memory+0xe/0x10 [drm]
 [<ffffffffa0029561>] drm_agp_bind_pages+0x5d/0x10c [drm]
 [<ffffffffa005fdec>] i915_gem_object_bind_to_gtt+0x1d7/0x249 [i915]
 [<ffffffffa005fe89>] i915_gem_object_pin+0x2b/0x16a [i915]
 [<ffffffffa006150c>] i915_gem_execbuffer+0x3c4/0xcde [i915]
 [<ffffffffa0061148>] ? i915_gem_execbuffer+0x0/0xcde [i915]
 [<ffffffffa0023b7e>] drm_ioctl+0x20e/0x2c1 [drm]
 [<ffffffff810e0e20>] vfs_ioctl+0x6f/0x87
 [<ffffffff810e12bb>] do_vfs_ioctl+0x462/0x4a3
 [<ffffffff810e1352>] sys_ioctl+0x56/0x79
 [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
Active_anon:108889 active_file:131605 inactive_anon:36034
 inactive_file:137595 unevictable:10 dirty:7 writeback:0 unstable:0
 free:4030 slab:61476 mapped:36465 pagetables:9338 bounce:0
Node 0 DMA free:7992kB min:16kB low:20kB high:24kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:96kB unevictable:0kB present:6372kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 1994 1994 1994
Node 0 DMA32 free:8128kB min:5704kB low:7128kB high:8556kB active_anon:435556kB inactive_anon:144136kB active_file:526420kB inactive_file:550284kB unevictable:40kB present:2042216kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 2*4kB 2*8kB 2*16kB 2*32kB 5*64kB 5*128kB 3*256kB 4*512kB 0*1024kB 0*2048kB 1*4096kB = 7992kB
Node 0 DMA32: 1459*4kB 20*8kB 17*16kB 5*32kB 6*64kB 7*128kB 0*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 8220kB
313951 total pagecache pages
1408 pages in swap cache
Swap cache stats: add 10919, delete 9511, find 26600/27271
Free swap  = 4083144kB
Total swap = 4095992kB
521727 pages RAM
14495 pages reserved
234330 pages shared
351884 pages non-shared
Comment 3 Matěj Cepl 2009-06-30 09:05:40 EDT
Isn't this duplicate of bug 496516 ?
Comment 4 Jonathan Underwood 2009-07-10 05:56:52 EDT
(In reply to comment #3)
> Isn't this duplicate of bug 496516 ?  

It may indeed be related but I don't think it's the same bug.

I don't see Xorg actually lock up. Sometimes the display will go totally black for a few seconds before reappearing though, and working normally.
Comment 5 Kyle Pablo 2009-07-26 17:19:22 EDT
I get this error a lot.  What is being done to fix it?
Comment 7 Matěj Cepl 2009-11-05 13:31:20 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Jonathan Underwood 2009-11-05 16:39:35 EST
Not seen this for a while now, closing bug.

Note You need to log in before you can comment on or make changes to this bug.